跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support

Export filtered security findings as SARIF

GET
/repos/{owner}/{repo}/security/findings/sarif
curl --request GET \
--url 'https://gitea.example.com/api/v1/repos/example/example/security/findings/sarif?state=open' \
--header 'Authorization: Basic <credentials>'

Gitea Enterprise only. This endpoint is not part of the community edition.

owner
required
string

Name of the owner

repo
required
string

Name of the repository

type
string

Finding types, repeatable or comma separated; empty exports all types

state
string
default: open
Allowed values: open closed all

Finding state

branch
string

Branch name

sort_type
string

Finding sort order

severity
string

Finding severity

scanner
string

Scanner name

rule_id
string

Finding rule ID

file_path
string

Finding file path

package_name
string

Dependency package name

ecosystem
string

Dependency ecosystem

APIString is a string response

Media typeapplication/json
string
Examplegenerated
example

APIValidationError is error format response related to input validation

message
string
url
string